テクノモンキーのアプリ開発日記

テクノモンキーの開発ブログです。iOS、Android、Unity、Cocos2d-xなどアプリ開発関連のTipsやアプリ開発に役立つ情報を発信します。

「java コマンドラインツールを使用するには、JDKをインストールする必要があります」と表示された場合の対処法

先日、MacでUnityを起動したら、

「java コマンドラインツールを使用するには、JDKをインストールする必要があります」と表示された場合の対処法

java コマンドラインツールを使用するには、JDKをインストールする必要があります。」と表示されるようになりました。

今回は、この対処法についてのメモです。

 

java コマンドラインツールを使用するには、JDKをインストールする必要があります」と表示された場合の対処法

 

対処法は、そのまんまですが、JDKをインストールすれば解決します。

表示されたダイアログの「詳しい情報」をタップすると、OracleJDKダウンロード画面が表示されるので、手順に沿ってインストールすればOKです。

 

www.java.com

 

「java コマンドラインツールを使用するには、JDKをインストールする必要があります」と表示された場合の対処法

 

ちなみに、僕の場合、インストール後も何回か「java コマンドラインツールを使用するには、JDKをインストールする必要があります。」が表示されたので、

Unityを閉じて、Macを再起動して、再度Unityを起動したら表示されなくなりました。